
import sys
import os

sys.path.append("..\\..\\Maps\\AngelSteel")


try:
	os.remove("..\\..\\Maps\\AngelSteel\\Pak\\BODPak.dat")	
	os.remove("..\\..\\Maps\\AngelSteel\\Pak\\pf.pak")
except:
	pass


try:
	os.remove("..\\..\\Maps\\AngelSteel\\asCONFIG.pyc")
except:
	pass

try:
	os.remove("..\\..\\Maps\\AngelSteel\\travpos.pyc")
except:
	pass



import AbreCam
import Actions
import AniSound
import Auras
import AuxFuncs
import B3DLib
import BInput
import Bladex
import Breakings
import Button
import CharStats
import Damage
import dust
import darfuncs
import DMusic
import Doors
import EnemyTypes
# import ExtraData
import GameText
import GenFX
import GotoMapVars
import ItemTypes
import LavaDefDamage
import LevelFuncs
import Levers
import Locks
import math
import MusicTool
import NetSounds
import Objects
import ObjStore
import OnOff
import Ontake
import pocimac
import Raster
import ReadGSFile
import Reference
import Scorer
import Sounds
import Sparks
import Stars
import storm
import string
import Torchs
import Water
import whrandom

import asCONFIG

# GameText.MapList ['ANGELSTEEL'] = 'AngelSteel'

# darfuncs.ActualLevel = "AngelSteel"




###############################################################################
# .glad file stuff
###############################################################################

global GladiatorMode
global RavensON
global RandomPositions

if (asCONFIG.GladiatorMode == "0"):

	GladCfg.playerPosition = (0,-1500,0)

	GladCfg.spawnPositions = [
		{"Position": (9000,-6000,0), "Angle": 0},    
		{"Position": (-9000,-6000,0), "Angle": 0}, 
		{"Position": (0,-6000,9000), "Angle": 0}, 
		{"Position": (0,-6000,-9000), "Angle": 0}]


if (asCONFIG.GladiatorMode == "1"):

	GladCfg.playerPosition = (0,598000,0)

	GladCfg.spawnPositions = [
		{"Position": (9000,594000,0), "Angle": 0},    
		{"Position": (-9000,594000,0), "Angle": 0}, 
		{"Position": (0,594000,9000), "Angle": 0}, 
		{"Position": (0,594000,-9000), "Angle": 0}]


if (asCONFIG.RavensON == "1"):

	execfile("ravens.py")


if (asCONFIG.RandomPositions == "0"):

	GladCfg.randomPositions = 0

else:
	
	GladCfg.randomPositions = 1




################################################################################
# sun settings 
################################################################################

def day():

	Raster.SetDomeColor(255,255,255)
	Bladex.SetSun(1,1.8,0.4,-1)

	o=Bladex.GetEntity("NightSunCore")
	o.Position = 0,-30000,0

	o=Bladex.GetEntity("NightSunCorona")
	o.Position = 0,-30000,0



def dawn():

	Raster.SetDomeColor(255,160,160)
	Bladex.SetSun(1,1.8,0.0,-1)
	
	o=Bladex.GetEntity("NightSunCore")
	o.Position = 0,-30000,0

	o=Bladex.GetEntity("NightSunCorona")
	o.Position = 0,-30000,0



def night():
	
	Bladex.SetSun(0,1.8,0.0,-1)
	Raster.SetDomeColor(30,30,30)

	o=Bladex.GetEntity("NightSunCore")
	o.Position = -70000,-15000,40000

	o=Bladex.GetEntity("NightSunCorona")
	o.Position = -70000,-15000,40000




################################################################################
# dust defs 
################################################################################


def MY_DropDust(x,y,z,vx,vy,vz,pps = 100,Ptypo="Tierrax",t2l=64, Death=100000):

	tierra1=Bladex.CreateEntity("Cristales", "Entity Particle System D1", x, y, z)
	tierra1.ParticleType=Ptypo
	tierra1.PPS=pps
	tierra1.YGravity=5000.0 # 9800
	tierra1.Friction=0.1
	tierra1.Velocity=vx,vy,vz
	tierra1.RandomVelocity=50.0
	tierra1.Time2Live=t2l
	tierra1.DeathTime=Bladex.GetTime()+Death	
	return tierra1


def MY_Tierrilla(x,y,z, dx,dz):

	global intensidad
	intensidad = 100	

	tierra2=Bladex.CreateEntity("Tierrilla", "Entity Particle System D3", x, y, z)
	tierra2.D1= 0, 0, 0    # 3000, 0, 0
	tierra2.D2= 0, 0, 0    # 3000, 0, 3000
	tierra2.Time2Live=68
	tierra2.YGravity= -100 #-500
	tierra2.Velocity=dx,1000,dz
	tierra2.RandomVelocity=5
	tierra2.ParticleType="Polvin"
	tierra2.PPS = intensidad
	tierra2.DeathTime=Bladex.GetTime()+100000


MY_DropDust(8614.29193926,-6125.17266708,-8545.04022433, 1,1,1)

MY_DropDust(-8510.4007079,-6129.52072468,8591.73180729, 1,1,1)

MY_Tierrilla(0,597500,0, 0,0)




################################################################################
# change all stars' positions 
################################################################################ 


def change_stars():

	global StarsNumber

	xCoord     = [0]
	yCoord     = [0]
	zCoord     = [0]

	for i in range(56): 

		xCoord.append(i * 1000)
		xCoord.append(i * -1000)
		yCoord.append(i * 1000)
		yCoord.append(i * -1000)


	for i in range(19):

		zCoord.append(i * 1000)
		zCoord.append(i * -1000)

	for i in range(asCONFIG.StarsNumber):
	

		idx = whrandom.randint(0, len(xCoord)-1)
		xCOORD = xCoord[idx]
	
		idx = whrandom.randint(0, len(yCoord)-1)
		yCOORD = yCoord[idx]

		idx = whrandom.randint(0, len(zCoord)-1)
		zCOORD = zCoord[idx]


		o=Bladex.GetEntity("star_" +str(i))
		o.Position = (xCOORD, zCOORD, yCOORD)



def flicker_stars():

	global StarsNumber

	xCoord     = [0]
	yCoord     = [0]
	zCoord     = [0]

	for i in range(56): 

		xCoord.append(i * 1000)
		xCoord.append(i * -1000)
		yCoord.append(i * 1000)
		yCoord.append(i * -1000)


	for i in range(19):

		zCoord.append(i * 1000)
		zCoord.append(i * -1000)

	for i in range(asCONFIG.StarsNumber):
	

		idx = whrandom.randint(0, len(xCoord)-1)
		xCOORD = xCoord[idx]
	
		idx = whrandom.randint(0, len(yCoord)-1)
		yCOORD = yCoord[idx]

		idx = whrandom.randint(0, len(zCoord)-1)
		zCOORD = zCoord[idx]


		o=Bladex.GetEntity("star_" +str(i))
		o.Position = (xCOORD, zCOORD, yCOORD)


	Bladex.AddScheduledFunc(Bladex.GetTime()+0.075, flicker_stars,())




def flicker_colored_stars():


	global StarsNumber

	xCoord     = [0]
	yCoord     = [0]
	zCoord     = [0]

	for i in range(56): 

		xCoord.append(i * 1000)
		xCoord.append(i * -1000)
		yCoord.append(i * 1000)
		yCoord.append(i * -1000)


	for i in range(19):

		zCoord.append(i * 1000)
		zCoord.append(i * -1000)

	for i in range(asCONFIG.StarsNumber):
	

		idx = whrandom.randint(0, len(xCoord)-1)
		xCOORD = xCoord[idx]
	
		idx = whrandom.randint(0, len(yCoord)-1)
		yCOORD = yCoord[idx]

		idx = whrandom.randint(0, len(zCoord)-1)
		zCOORD = zCoord[idx]


		o=Bladex.GetEntity("star_" +str(i))
		o.Color = whrandom.randint(0, 255),whrandom.randint(0, 255),whrandom.randint(0, 255)
		o.Position = (xCOORD, zCOORD, yCOORD)


	Bladex.AddScheduledFunc(Bladex.GetTime()+0.75, flicker_stars,())



################################################################################
# travel down/up
################################################################################


def travel_down():

	getplayer=Bladex.GetEntity("Player1")
	getplayer.Position=0,598500,0
	getplayer.Angle = 0


def travel_up():

	getplayer=Bladex.GetEntity("Player1")
	getplayer.Position=0,-1500,0
	getplayer.Angle = 0






